# BSL Shaders Block Mapping

# Foliage
#  100 - Grass
#  101 - Plants
#  102 - Crops
#  103 - Tall Plants Upper
#  104 - Tall Plants Lower
#  105 - Leaves
#  106 - Vines
#  107 - Lilypad
#  108 - Stem
#  109 - Static Foliage

# Emissive
#  200 - Unleveled
#  207 - Level 7
#  210 - Level 10
#  214 - Level 14
#  215 - Level 15
#  216 - Unleveled Recolor
#  226 - Level 10 Recolor
#  231 - Level 15 Recolor
#  245 - Level 13 Flat
#  248 - Lava
#  249 - Fire
#  250 - Beacon
#  251 - Hanging Lantern
#  252 - Soul Fire
#  253 - Hanging Soul Lantern

# Translucents
#  300 - Water
#  301 - Reflectives

# Misc.
#  400 - Lectern
#  401 - Sign
#  402 - Chain

#if MC_VERSION >= 11300

# 1.13+ Mapping

block.10100=minecraft:short_grass minecraft:grass minecraft:fern minecraft:seagrass minecraft:crimson_roots minecraft:warped_roots minecraft:nether_sprouts
block.10101=minecraft:dandelion minecraft:poppy minecraft:blue_orchid minecraft:allium minecraft:azure_bluet minecraft:red_tulip minecraft:orange_tulip minecraft:white_tulip minecraft:pink_tulip minecraft:oxeye_daisy minecraft:cornflower minecraft:lily_of_the_valley minecraft:wither_rose minecraft:sweet_berry_bush minecraft:tube_coral minecraft:brain_coral minecraft:bubble_coral minecraft:fire_coral minecraft:horn_coral minecraft:dead_tube_coral minecraft:dead_brain_coral minecraft:dead_bubble_coral minecraft:dead_fire_coral minecraft:dead_horn_coral minecraft:tube_coral_fan minecraft:brain_coral_fan minecraft:bubble_coral_fan minecraft:fire_coral_fan minecraft:horn_coral_fan minecraft:dead_tube_coral_fan minecraft:dead_brain_coral_fan minecraft:dead_bubble_coral_fan minecraft:dead_fire_coral_fan minecraft:dead_horn_coral_fan minecraft:pink_petals minecraft:torchflower minecraft:torchflower_crop minecraft:pitcher_crop:half=upper minecraft:closed_eyeblossom minecraft:open_eyeblossom
block.10102=minecraft:wheat minecraft:carrots minecraft:potatoes minecraft:beetroots
block.10103=minecraft:sunflower:half=upper minecraft:lilac:half=upper minecraft:tall_grass:half=upper minecraft:large_fern:half=upper minecraft:rose_bush:half=upper minecraft:peony:half=upper minecraft:tall_seagrass:half=upper minecraft:kelp minecraft:kelp_plant minecraft:pitcher_plant:half=upper
block.10104=minecraft:sunflower:half=lower minecraft:lilac:half=lower minecraft:tall_grass:half=lower minecraft:large_fern:half=lower minecraft:rose_bush:half=lower minecraft:peony:half=lower minecraft:tall_seagrass:half=lower minecraft:pitcher_plant:half=lower
block.10105=minecraft:oak_leaves minecraft:spruce_leaves minecraft:birch_leaves minecraft:jungle_leaves minecraft:acacia_leaves minecraft:dark_oak_leaves minecraft:azalea_leaves minecraft:flowering_azalea_leaves minecraft:mangrove_leaves minecraft:cherry_leaves minecraft:pale_oak_leaves alexscaves:ancient_leaves aoa3:achony_leaves aoa3:baobab_leaves aoa3:blood_leaves aoa3:blue_celevus_leaves aoa3:blue_haven_leaves aoa3:bright_shyre_leaves aoa3:churry_leaves aoa3:creep_leaves aoa3:dawn_leaves aoa3:green_celevus_leaves aoa3:haunted_eyes_leaves aoa3:haunted_leaves aoa3:irodust_leaves aoa3:irogold_leaves aoa3:lelyetian_leaves aoa3:lucalus_leaves aoa3:lunicia_leaves aoa3:lunosso_leaves aoa3:pink_haven_leaves aoa3:purple_celevus_leaves aoa3:purple_haven_leaves aoa3:red_celevus_leaves aoa3:red_haven_leaves aoa3:runic_leaves aoa3:shadow_leaves aoa3:shadowblood_leaves aoa3:shyre_leaves aoa3:stranglewood_leaves aoa3:turquoise_haven_leaves aoa3:vein_leaves aoa3:white_celevus_leaves aoa3:yellow_celevus_leaves aoa3:yellow_haven_leaves ars_nouveau:blue_archwood_leaves ars_nouveau:green_archwood_leaves ars_nouveau:purple_archwood_leaves ars_nouveau:red_archwood_leaves beachparty:palm_leaves ecologics:coconut_leaves ecologics:walnut_leaves galosphere:opal_leaves malum:azure_runewood_leaves malum:runewood_leaves malum:soulwood_leaves quark:ancient_leaves quark:blue_blossom_leaves quark:lavender_blossom_leaves quark:orange_blossom_leaves quark:red_blossom_leaves quark:yellow_blossom_leaves regions_unexplored:alpha_leaves regions_unexplored:apple_oak_leaves regions_unexplored:ashen_leaves regions_unexplored:bamboo_leaves regions_unexplored:baobab_leaves regions_unexplored:blackwood_leaves regions_unexplored:blue_magnolia_leaves regions_unexplored:brimwood_leaves regions_unexplored:cobalt_webbing regions_unexplored:cypress_leaves regions_unexplored:dead_leaves regions_unexplored:dead_pine_leaves regions_unexplored:eucalyptus_leaves regions_unexplored:flowering_leaves regions_unexplored:golden_larch_leaves regions_unexplored:joshua_leaves regions_unexplored:kapok_leaves regions_unexplored:larch_leaves regions_unexplored:lavender_wisteria_leaves regions_unexplored:magnolia_leaves regions_unexplored:maple_leaves regions_unexplored:orange_maple_leaves regions_unexplored:palm_leaves regions_unexplored:pine_leaves regions_unexplored:pink_magnolia_leaves regions_unexplored:red_maple_leaves regions_unexplored:redwood_leaves regions_unexplored:salmon_wisteria_leaves regions_unexplored:silver_birch_leaves regions_unexplored:sky_wisteria_leaves regions_unexplored:small_oak_leaves regions_unexplored:socotra_leaves regions_unexplored:white_magnolia_leaves regions_unexplored:willow_leaves spectrum:black_leaves spectrum:blue_leaves spectrum:brown_leaves spectrum:cyan_leaves spectrum:gray_leaves spectrum:green_leaves spectrum:jade_vine_petal_block spectrum:light_blue_leaves spectrum:light_gray_leaves spectrum:lime_leaves spectrum:magenta_leaves spectrum:nephrite_blossom_leaves spectrum:orange_leaves spectrum:pink_leaves spectrum:purple_leaves spectrum:red_leaves spectrum:spirit_sallow_leaves spectrum:weeping_gala_leaves spectrum:white_leaves spectrum:yellow_leaves
block.10106=minecraft:vine minecraft:weeping_vines_plant minecraft:twisting_vines_plant minecraft:twisting_vines
block.10107=minecraft:lily_pad
block.10108=minecraft:pumpkin_stem minecraft:attached_pumpkin_stem minecraft:melon_stem minecraft:attached_melon_stem
block.10109=minecraft:oak_sapling minecraft:spruce_sapling minecraft:birch_sapling minecraft:jungle_sapling minecraft:acacia_sapling minecraft:dark_oak_sapling minecraft:dead_bush minecraft:sugar_cane minecraft:cobweb minecraft:nether_wart minecraft:big_dripleaf minecraft:big_dripleaf_stem minecraft:small_dripleaf minecraft:cave_vines_plant minecraft:cave_vines minecraft:spore_blossom minecraft:mangrove_propagule minecraft:cherry_sapling minecraft:pitcher_crop:half=lower minecraft:pale_oak_sapling
block.10110=minecraft:mangrove_roots minecraft:pale_hanging_moss

block.10200=minecraft:redstone_wire
block.10207=minecraft:redstone_torch:lit=true minecraft:redstone_wall_torch:lit=true
block.10210=minecraft:soul_campfire:lit=true
block.10214=minecraft:torch minecraft:wall_torch minecraft:end_rod
block.10215=minecraft:jack_o_lantern minecraft:campfire:lit=true
block.10216=minecraft:magma_block minecraft:amethyst_cluster
block.10226=minecraft:soul_lantern:hanging=false
block.10231=minecraft:glowstone minecraft:shroomlight minecraft:redstone_lamp:lit=true minecraft:sea_lantern minecraft:lantern:hanging=false
block.10245=minecraft:furnace:lit=true minecraft:blast_furnace:lit=true minecraft:smoker:lit=true
block.10248=minecraft:lava minecraft:flowing_lava
block.10249=minecraft:fire
block.10250=minecraft:beacon minecraft:end_portal_frame:eye=true
block.10251=minecraft:lantern:hanging=true
block.10252=minecraft:soul_fire
block.10253=minecraft:soul_lantern:hanging=true
block.10254=minecraft:small_amethyst_bud minecraft:medium_amethyst_bud minecraft:large_amethyst_bud minecraft:amethyst_block minecraft:budding_amethyst minecraft:glow_lichen

block.10300=minecraft:water minecraft:flowing_water
block.10301=minecraft:ice minecraft:white_stained_glass minecraft:orange_stained_glass minecraft:magenta_stained_glass minecraft:light_blue_stained_glass minecraft:yellow_stained_glass minecraft:lime_stained_glass minecraft:pink_stained_glass minecraft:gray_stained_glass minecraft:light_gray_stained_glass minecraft:cyan_stained_glass minecraft:purple_stained_glass minecraft:blue_stained_glass minecraft:brown_stained_glass minecraft:green_stained_glass minecraft:red_stained_glass minecraft:black_stained_glass minecraft:white_stained_glass_pane minecraft:orange_stained_glass_pane minecraft:magenta_stained_glass_pane minecraft:light_blue_stained_glass_pane minecraft:yellow_stained_glass_pane minecraft:lime_stained_glass_pane minecraft:pink_stained_glass_pane minecraft:gray_stained_glass_pane minecraft:light_gray_stained_glass_pane minecraft:cyan_stained_glass_pane minecraft:purple_stained_glass_pane minecraft:blue_stained_glass_pane minecraft:brown_stained_glass_pane minecraft:green_stained_glass_pane minecraft:red_stained_glass_pane minecraft:black_stained_glass_pane minecraft:slime_block minecraft:honey_block minecraft:glass_pane minecraft:glass 

block.10400=minecraft:lectern
block.10401=minecraft:sign minecraft:oak_sign minecraft:spruce_sign minecraft:birch_sign minecraft:jungle_sign minecraft:acacia_sign minecraft:dark_oak_sign minecraft:wall_sign minecraft:oak_wall_sign minecraft:spruce_wall_sign minecraft:birch_wall_sign minecraft:jungle_wall_sign minecraft:acacia_wall_sign minecraft:dark_oak_wall_sign

block.10402=minecraft:iron_ore minecraft:redstone_ore minecraft:diamond_ore minecraft:emerald_ore minecraft:lapis_ore minecraft:gold_ore minecraft:copper_ore \
minecraft:deepslate_iron_ore minecraft:deepslate_redstone_ore minecraft:deepslate_diamond_ore minecraft:deepslate_emerald_ore minecraft:deepslate_lapis_ore minecraft:deepslate_gold_ore minecraft:deepslate_copper_ore

#else

# Pre-1.13 Mapping

block.10100=minecraft:tallgrass
block.10101=minecraft:deadbush minecraft:yellow_flower minecraft:red_flower
block.10102=minecraft:wheat minecraft:carrots minecraft:potatoes minecraft:beetroots
block.10103=minecraft:double_plant:half=upper
block.10104=minecraft:double_plant:half=lower
block.10105=minecraft:leaves minecraft:leaves2 alexscaves:ancient_leaves aoa3:achony_leaves aoa3:baobab_leaves aoa3:blood_leaves aoa3:blue_celevus_leaves aoa3:blue_haven_leaves aoa3:bright_shyre_leaves aoa3:churry_leaves aoa3:creep_leaves aoa3:dawn_leaves aoa3:green_celevus_leaves aoa3:haunted_eyes_leaves aoa3:haunted_leaves aoa3:irodust_leaves aoa3:irogold_leaves aoa3:lelyetian_leaves aoa3:lucalus_leaves aoa3:lunicia_leaves aoa3:lunosso_leaves aoa3:pink_haven_leaves aoa3:purple_celevus_leaves aoa3:purple_haven_leaves aoa3:red_celevus_leaves aoa3:red_haven_leaves aoa3:runic_leaves aoa3:shadow_leaves aoa3:shadowblood_leaves aoa3:shyre_leaves aoa3:stranglewood_leaves aoa3:turquoise_haven_leaves aoa3:vein_leaves aoa3:white_celevus_leaves aoa3:yellow_celevus_leaves aoa3:yellow_haven_leaves ars_nouveau:blue_archwood_leaves ars_nouveau:green_archwood_leaves ars_nouveau:purple_archwood_leaves ars_nouveau:red_archwood_leaves beachparty:palm_leaves ecologics:coconut_leaves ecologics:walnut_leaves galosphere:opal_leaves malum:azure_runewood_leaves malum:runewood_leaves malum:soulwood_leaves quark:ancient_leaves quark:blue_blossom_leaves quark:lavender_blossom_leaves quark:orange_blossom_leaves quark:red_blossom_leaves quark:yellow_blossom_leaves regions_unexplored:alpha_leaves regions_unexplored:apple_oak_leaves regions_unexplored:ashen_leaves regions_unexplored:bamboo_leaves regions_unexplored:baobab_leaves regions_unexplored:blackwood_leaves regions_unexplored:blue_magnolia_leaves regions_unexplored:brimwood_leaves regions_unexplored:cobalt_webbing regions_unexplored:cypress_leaves regions_unexplored:dead_leaves regions_unexplored:dead_pine_leaves regions_unexplored:eucalyptus_leaves regions_unexplored:flowering_leaves regions_unexplored:golden_larch_leaves regions_unexplored:joshua_leaves regions_unexplored:kapok_leaves regions_unexplored:larch_leaves regions_unexplored:lavender_wisteria_leaves regions_unexplored:magnolia_leaves regions_unexplored:maple_leaves regions_unexplored:orange_maple_leaves regions_unexplored:palm_leaves regions_unexplored:pine_leaves regions_unexplored:pink_magnolia_leaves regions_unexplored:red_maple_leaves regions_unexplored:redwood_leaves regions_unexplored:salmon_wisteria_leaves regions_unexplored:silver_birch_leaves regions_unexplored:sky_wisteria_leaves regions_unexplored:small_oak_leaves regions_unexplored:socotra_leaves regions_unexplored:white_magnolia_leaves regions_unexplored:willow_leaves spectrum:black_leaves spectrum:blue_leaves spectrum:brown_leaves spectrum:cyan_leaves spectrum:gray_leaves spectrum:green_leaves spectrum:jade_vine_petal_block spectrum:light_blue_leaves spectrum:light_gray_leaves spectrum:lime_leaves spectrum:magenta_leaves spectrum:nephrite_blossom_leaves spectrum:orange_leaves spectrum:pink_leaves spectrum:purple_leaves spectrum:red_leaves spectrum:spirit_sallow_leaves spectrum:weeping_gala_leaves spectrum:white_leaves spectrum:yellow_leaves
block.10106=minecraft:vine
block.10107=minecraft:waterlily 
block.10108=minecraft:pumpkin_stem minecraft:melon_stem
block.10109=minecraft:sapling minecraft:reeds minecraft:cobweb minecraft:nether_wart

block.10200=minecraft:redstone_wire
block.10207=minecraft:lit_redstone_torch minecraft:ender_chest
block.10214=minecraft:torch minecraft:end_rod
block.10215=minecraft:lit_pumpkin 
block.10216=minecraft:magma
block.10231=minecraft:glowstone minecraft:lit_redstone_lamp minecraft:sea_lantern
block.10245=minecraft:lit_furnace
block.10248=minecraft:lava minecraft:flowing_lava
block.10249=minecraft:fire
block.10250=minecraft:beacon minecraft:end_portal_frame:eye=true

block.10300=minecraft:water minecraft:flowing_water  
block.10301=minecraft:ice minecraft:portal minecraft:stained_glass minecraft:stained_glass_pane minecraft:slime

block.10401=minecraft:sign minecraft:wall_sign

#endif